### Constructor

# Shumate RasterRenderer new_from_url

#### Declaration [src]

    ShumateRasterRenderer*
    shumate_raster_renderer_new_from_url (
      const char* url_template
    )

#### Description [src]

Creates a new `ShumateRasterRenderer` that fetches tiles from the given URL using a `ShumateTileDownloader` data source.

Equivalent to:

    g_autoptr(ShumateTileDownloader) source = shumate_tile_downloader_new (url_template);
    ShumateRasterRenderer *renderer = shumate_raster_renderer_new (source);

#### Parameters

`url_template`

  Type: `const char*`

  A URL template to fetch tiles from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShumateRasterRenderer`

A newly constructed `ShumateRasterRenderer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.